services:
  mro-data-viewer:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: mro-data-viewer
    restart: unless-stopped
    #ports:
    #  - "3000:3000"
    environment:
      #- DATABASE_URL=postgresql://foldspace_dev:yRt4QoFwbmaB2E6sDdk9@frpdx.xhyonline.com:15281/foldspace_dev
      - DATABASE_URL=postgresql://foldspace_dev:yRt4QoFwbmaB2E6sDdk9@192.188.86.2:15281/foldspace_dev
      - NEXTAUTH_SECRET=dev-secret-change-in-production-mro2026
      - NEXTAUTH_URL=http://frpdx.xhyonline.com:15288
      - ADMIN_USERNAME=admin
      - ADMIN_PASSWORD=admin123
      - AUTH_TRUST_HOST=true

  frp-bind-public-node:
    image: ${FRPC_IMAGE:-registry.cn-hangzhou.aliyuncs.com/foldspace/frp-v0.68.1-bind-public-node:v0.68.1}
    container_name: fs-dev-frp-bind-public-node
    restart: unless-stopped
    depends_on:
      - mro-data-viewer
    volumes:
      - ./volumes/frp-bind-public-node/frpc.toml:/etc/frp/frpc.toml:ro
    command:
      - -c
      - /etc/frp/frpc.toml